# $Revision: 1.5 $, $Date: 2004/12/25 13:23:15 $
%define		zope_subname	ZopeScheduler
Summary:	Cron like service for Zope
Summary(pl):	Produkt dla Zope pomocny przy wywoywaniu okresowych zada
Name:		Zope-%{zope_subname}
Version:	0.2
Release:	2
License:	GPL
Group:		Development/Tools
Source0:	http://dev.legco.biz/downloads/%{zope_subname}-%{version}.tar.gz
# Source0-md5:	0dfcd5fa753a499b7e9f294971971f40
URL:		http://dev.legco.biz/products/ZopeScheduler/
%pyrequires_eq	python-modules
Requires:	Zope
Requires:	Zope-TimerService
Requires(post,postun):	/usr/sbin/installzopeproduct
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ZopeScheduler - Cron like service for Zope.

%description -l pl
ZopeScheduler jest produktem dla Zope pomocnym przy wywoywaniu
okresowych zada.

%prep
%setup -q -c

%build

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/%{name}

cp -af %{zope_subname}/{Extensions,skins,zpt,*.py,refresh.txt,version.txt} $RPM_BUILD_ROOT%{_datadir}/%{name}

%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/installzopeproduct %{_datadir}/%{name} %{zope_subname}
if [ -f /var/lock/subsys/zope ]; then
	/etc/rc.d/init.d/zope restart >&2
fi

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/installzopeproduct -d %{zope_subname}
	if [ -f /var/lock/subsys/zope ]; then
		/etc/rc.d/init.d/zope restart >&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc %{zope_subname}/{README.txt,CREDITS.txt}
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Zope-ZopeScheduler.spec,v $
Revision 1.5  2004/12/25 13:23:15  saq
- release 2 for rebuild with python 2.4

Revision 1.4  2004/12/21 08:45:15  ciesiel
- rel. 1

Revision 1.3  2004/10/30 11:21:15  paladine
- spaces->tabs

Revision 1.2  2004/09/13 20:02:06  ciesiel
- changes %post section
- removed ln
- cleanup

Revision 1.1  2004/03/20 11:48:54  ciesiel
- initial release

